WMLDOMImplementationImpl (Other Classes)
Date: 2018-10-16

org.apache.wml.dom

## Class WMLDOMImplementationImpl

- java.lang.Object
- - org.apache.xerces.dom.CoreDOMImplementationImpl
  - - org.apache.xerces.dom.DOMImplementationImpl
    - - org.apache.wml.dom.WMLDOMImplementationImpl

- All Implemented Interfaces:
    WMLDOMImplementation, org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS

      public class WMLDOMImplementationImpl
      extends org.apache.xerces.dom.DOMImplementationImpl
      implements WMLDOMImplementation

  Version:
    $Id: WMLDOMImplementationImpl.java 809736 2009-08-31 20:43:19Z mrglavas $
  Author:
    David Li

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS

      `MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WMLDOMImplementationImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.xerces.dom.CoreDocumentImpl` | `createDocument(org.w3c.dom.DocumentType doctype)`
    `static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` NON-DOM: Obtain and return the single shared object

    - ### Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl

      `hasFeature`

    - ### Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl

      `assignDocTypeNumber, assignDocumentNumber, createDocument, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.DOMImplementation

      `createDocument, createDocumentType, getFeature, hasFeature`

- - ### Constructor Detail

    - #### WMLDOMImplementationImpl

          public WMLDOMImplementationImpl()

  - ### Method Detail

    - #### getDOMImplementation

          public static org.w3c.dom.DOMImplementation getDOMImplementation()

      NON-DOM: Obtain and return the single shared object

    - #### createDocument

          protected org.apache.xerces.dom.CoreDocumentImpl createDocument(org.w3c.dom.DocumentType doctype)

      Overrides:
        `createDocument` in class `org.apache.xerces.dom.DOMImplementationImpl`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.